@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@500;700&display=swap');

:root {
    --veryDarkGrayishBlue: hsl(217, 19%, 35%);
    --desaturatedDarkBlue: hsl(214, 17%, 51%);
    --grayishBlue: hsl(212, 23%, 69%);
    --lightGrayishBlue: hsl(210, 46%, 95%);
}

* {
    margin: 0;
    border: none;
    box-sizing: border-box;
    padding: 0;
}

body {
    background: var(--lightGrayishBlue);
    font-size: 13px;
    font-weight: 500;
    font-family: 'Manrope', sans-serif;
}

main {
    width: 100vw;
    display: grid;
    place-items: center;
}

#card {
    margin-top: 74px;
    width: clamp(326px, 730px, 86.933333333%);
    border-radius: 10px;
    background: white;
    overflow: hidden;
    padding-bottom: 20px;
    box-shadow: 0px 40px 40px -10px rgba(201, 213, 225, 0.503415);
}

.card-image {
    height: 200px;
    width: 100%;
    object-fit: cover;
    object-position: 0px -15.5px;
}

.card-text {
    padding: 0 31.5px;
    color: var(--veryDarkGrayishBlue);
}

.article-title {
    margin-top: 32px;
    font-size: 16.4px;
    line-height: 24px;
}

.article-desc {
    color: var(--desaturatedDarkBlue);
    margin-top: 12px;
    font-size: 13.25px;
    line-height: 20px;
}

#author,
.author-left {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#author {
    margin-top: 32px;
}

.author-left {
    width: 171.5px;
}

.author-avatar {
    height: 40px;
    width: auto;
    border-radius: 50%;
}

.author-details {
    padding-top: 1px;
    height: 40px;
    display: grid;
}

.author-name {
    color: var(--veryDarkGrayishBlue);
    font-size: 13.2px;
}

.article-date {
    color: var(--grayishBlue);
    font-size: 13.2px;
}

#share-icon {
    z-index: 1;
    height: 32px;
    width: 32px;
    border-radius: 50%;
    background: var(--lightGrayishBlue);
    object-fit: scale-down;
    object-position: center 9px;
}

#author .share-icon-active {
    background: var(--desaturatedDarkBlue);
}

#share {
    height: 64px;
    width: clamp(326px, 730px, 86.933333333%);
    position: absolute;
    margin-top: -52px;
    margin-left: -31.5px;
    border-radius: 0 0 10px 10px;
    display: none;
    align-items: center;
    justify-content: space-between;
    background: var(--veryDarkGrayishBlue);
    padding: 0 31.5px;
    color: var(--grayishBlue);
}

.share-left {
    display: flex;
    align-items: center;
}

.share-text {
    letter-spacing: 4.9px;
}

.share-socials {
    margin-left: 17px;
    width: 92px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.share-point {
    display: none;
}

footer {
    margin-top: 1px;
    padding: 20px;
}

.attribution {
    font-size: 15px;
    text-align: center;
}

.attribution a {
    color: hsl(228, 45%, 44%);
}

@media only screen and (min-width: 900px) {
    #card {
        height: 280px;
        margin-top: 260px;
        padding: 0;
        display: flex;
    }

    .card-image {
        height: 100%;
        width: 285px;
        object-position: 0;
    }

    .card-text {
        padding: 0 40px;
        color: var(--veryDarkGrayishBlue);
    }

    .article-title {
        font-size: 20.45px;
        line-height: 28px;
    }

    #author {
        margin-top: 20px;
    }

    #share {
        height: 55px;
        width: fit-content;
        position: absolute;
        margin-top: -119px;
        margin-left: 225px;
        border-radius: 10px;
        padding: 0 37px;
        filter: drop-shadow(0px 9px 5px rgba(201, 213, 225, 0.6));
    }

    .share-point {
        display: block;
        height: 20px;
        width: 20px;
        position: absolute;
        transform: rotate(45deg);
        top: 43px;
        left: 114px;
        background: var(--veryDarkGrayishBlue);
    }

    footer {
        margin-top: 200px;
    }
}